MEINPROC5(1)

NOM
meinproc5 - Traductor KDE per a XML

SINOPSIS

meinproc5 [-h, --help] [-v, --version] [--cache fitxer] [--check] [--srcdir dir] [--param clau=valor] [[[-o] | [--output]] fitxer] [--stdout] [--stylesheet xsl] fitxer_docbook

DESCRIPCIÓ

meinproc5 converteix fitxers DocBook a HTML.

OPCIONS GENÈRIQUES

-h--help
    Mostra ajuda quant a les opcions.

-v--version
    Mostra la informació sobre la versió.

OPCIONS DE LAPLICACIÓ

--cache fitxer
    Crea un fitxer de cau per al document.

--check
    Comprova la validesa del document.

        La sortida pot ser una mica intimidatòria, ja que una petita equivocació pot causar una cascada d'errors.
        El truc és mirar en el primer error, corregir-lo, deseu el fitxer, i executeu meinproc5 de nou.

-o, --output fitxer
    Envia tot el document cap a un fitxer.

--stdout
    Envia tot el document cap a stdout.

--stylesheet xsl
    Full d'estil a utilitzar.

--srcdir dir
    Estableix el directori arrel per a la cerca de les kdoctools.

--param clau=valor
    Estableix els paràmetres a passar al full d'estil.

ÚS

La manera més habitual d'executar meinproc5 és simplement com

    meinproc5 fitxer-docbook

a on fitxer-docbook generalment serà index.docbook. Aquesta ordre crea pàgines HTML del fitxer DocBook. Cal tenir en compte que aquestes pàgines només són visibles en els navegadors basats en el KDE (com el Konqueror).

Si necessiteu veure la sortida HTML en un altre navegador (per exemple, si el feu disponible en línia), utilitzeu

    meinproc5 --stylesheet nom-full-estil fitxer-docbook

a on nom-full-estil serà el camí complet cap a un dels fulls d'estil XSL en <prefix_instal⋅lació_kdoctools>/share/kf5/kdoctools/customization/. Per a generar una sortida adequada per a la web, podeu utilitzar kde-web.xsl o kde-chunk-online.xsl. Per a més detalls, vegeu el fitxer README en aquesta carpeta.

VEGEU TAMBÉ

kf5options(7), qt5options(7)

ERRORS

Si us plau, empreu el Seguidor d'errors del KDE[1] (escriviu-hi en anglès) per a informar dels errors.

NOTES

1.  Seguidor d'errors del KDE
    https://bugs.kde.org